Limerence
Spaces

Upload Space Chat Artifact

Upload a file to the workspace (chat or user scope)

POST
/spaces/{id}/chats/{chatId}/artifacts/upload

Upload a file to the workspace (chat or user scope)

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string
chatId*string

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/spaces/string/chats/string/artifacts/upload" \  -F file="string" \  -F scope="chat"
{  "filename": "string",  "path": "string",  "size": 0}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}